"""
--------------------------------------------------------------------------------
THIS IS AN EXAMPLE ONLY -- emulate/replace for your email account's parameters.

This is a NON-SSL account-specific extension to the global base file.
  -See ../PyMailGUI-PP4E/mailconfig.py for base-file settings customized here.
  -See mailconfig_LearningPython_ssl.py for the SSL extension to this file.

This Goddady account has both plain and SSL versions of POP and SMTP, but TLS
fails on both.  Can also do SMTP via a broadband provider, with SSL or not.
See also textConfig.py in ../PyMailGui-PP4E for PyEdit popup window settings.
--------------------------------------------------------------------------------
"""
import sys, os   # for platform diffs, paths

# for platform-specific choices
RunningOnMac     = sys.platform.startswith('darwin')     # all OS (X)
RunningOnWindows = sys.platform.startswith('win')        # all Windows
RunningOnLinux   = sys.platform.startswith('linux')      # all Linux


# --override PyMailGUI's mailconfig.py base-file defaults here--

# fetch (password asked in GUI)
popservername  = 'pop.secureserver.net:110'              # for connection, port#
popusername    = 'lutz@learning-python.com'              # for account login
popusesSSL     = False

# send (password asked in GUI if needed)
smtpservername = 'smtpout.secureserver.net:80'           # port# (or 3535, !25)
smtpuser       = 'lutz@learning-python.com'              # nonblank=authenticated
smtpusesSSL    = False

# this works too: broadband provider
# smtpservername = 'smtp.comcast.net:587'                # port# (see also SSL)
# smtpuser       = 'veramark62'                          # nonblank=authenticated

# compose (name: 1 ' ' sans "" okay)
myaddress      = 'Mark Lutz <lutz@learning-python.com>'  # for envelope headers
mysignature    = ('Thanks,\n'                            # added to new mails
                  '--Mark Lutz, http://learning-python.com')

# list windows
listbg = 'wheat'                            # or cornsilk, dark green, beige...
listfg = 'black'                            # or chocolate, brown, #RRGGBB...
listHeight = 15                             # show this many messages initially

if RunningOnWindows:                        # account-specific fonts - monospace
    listfont = ('consolas', 10, 'bold')     # consolas isn't monospace on Linux
elif RunningOnLinux:                        # inconsolata isn't mono on Windows
    listfont = ('inconsolata', 10, 'bold')  # courier works on both, but duller
elif RunningOnMac:                          # font for Mac OS X (or courier new)
    listfont = ('monaco', 12, 'bold')       # else use main file's default 

# view windows 
viewbg = 'aquamarine'              # viewed text background, foreground color
viewfg = 'black'
viewheight = 20                    # show up to this many text lines initially
viewheightmin = 10                 # show at least this many lines initially
wrapsz = 80                        # wrap viewed text at/before this column
viewheaders = ('Bcc',)             # show Bcc header (or None=omit)

if RunningOnWindows:                         # account-specific fonts - any
    viewfont = ('consolas', 13, 'bold')      # for mail main text in view/write
elif RunningOnLinux:                         # special-case fonts for Linux 
    viewfont = ('courier new', 12, 'normal') # small is better (or inconsolata) 
elif RunningOnMac:                           # special-case fonts for Mac OS X
    viewfont = ('menlo', 14, 'normal')       # non-bold is better (or courier)

if RunningOnWindows:                        # view window header fonts [4.0]
    headerfont = ('consolas', 13)           # other platforms default to Tk std

# more colors: 'name', '#RRGGBB', or None=default
helpfg, helpbg = 'white', 'black'  # server list window help bar (else blue)
partfg, partbg = listfg, listbg    # view window part buttons (else grey)
ctrlfg, ctrlbg = None, None        # view window action buttons (else beige)

# help bar action
showHelpAsText = False             # book's text help + source button in gui?
showHelpAsHTML = True              # book's original html help in browser?
showStandaloneHelp = True          # standalone release html help in browser?

# etc
fetchlimit = 150                   # load only up to this many latest headers
skipTextOnHtmlPart = False         # show a selected HTML part's raw text too
splitOpensAll      = True          # Split opens parts after saving them

# sent saves, used if path exists; may be account- and platform-specific;
# default=common file in program install tree: PyMailGui-PP4E/sentmail.text

#sentmailfile = None                                               # don't save
#sentmailfile = not set                                            # use default
if RunningOnWindows:
    sentmailfile = os.getenv('HOMEPATH') + r'\pmg-sentmail.txt'    # Windows
else:                                          
    sentmailfile = os.getenv('HOME') + '/pmg-sentmail.txt'         # Mac, Linux

# password files, 1 line=pswd; handy on tablets, ignored if file not present;
# as coded, located at /User/you/file on Unix, and C:\Users\you\file on Windows

#poppasswdfile  = r'..\..\_etc\pw2.txt'.replace('\\', os.sep)      # source tree
if RunningOnWindows:
    poppasswdfile = os.environ['HOMEPATH'] + r'\pmg-pw1.txt'       # Windows
else:
    poppasswdfile = os.environ['HOME'] + '/pmg-pw1.txt'            # Mac, Linux 

smtppasswdfile = poppasswdfile   # same for both fetch and send
                                            
# for security, use only the LearningPython_ssl extension to this file
